/**
 * Created by jinglupeng on 10/23/15.
 */

var split2image = require("./lib/split2image.js");
var pdf2json = require("./lib/pdf2json.js");
var fs = require("fs");
var mkdirp = require('mkdirp');
var path = require("path");

module.exports = function (file, image, text) {
    if (!file) {
        console.error("invalid file.")
        return;
    }

    if (!image && !text) {
        console.error("no task.")
        return;
    }

    if (image) {
        split2image(file, image).then(function () {
            console.log("split to image finish.");
        }).catch(function (err) {
            console.error("split to image error: " + err);
        });
    }

    if (text) {
        pdf2json(file).then(function (doc) {
            var dir = path.dirname(text);
            mkdirp(dir, function (err) {
                if (err) {
                    console.error(err);
                } else {
                    fs.writeFile(text, JSON.stringify(doc), function (err) {
                        if (err) {
                            console.error(err);
                        } else {
                            console.log("pdf to json finish.");
                        }
                    })
                }
            })
        }).catch(function (err) {
            console.error("pdf to json error: " + err);
        });
    }
}